tbb::proportional_split Class Reference

Type enables transmission of splitting proportion from partitioners to range objects. More...

`#include <tbb_stddef.h>`

Inheritance diagram for tbb::proportional_split:
Collaboration diagram for tbb::proportional_split:

## Public Member Functions

| proportional_split (size_t _left=1, size_t _right=1)
size_t | left () const
size_t | right () const
| operator split () const

## Private Attributes

size_t | my_left
size_t | my_right

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Detailed Description

Type enables transmission of splitting proportion from partitioners to range objects.

In order to make use of such facility Range objects must implement splitting constructor with this type passed and initialize static constant boolean field 'is_splittable_in_proportion' with the value of 'true'

Definition at line 426 of file tbb_stddef.h.

## Constructor & Destructor Documentation

## proportional_split()

tbb::proportional_split::proportional_split | ( | size_t | _left = `1`,
|  | size_t | _right = `1`
| ) |  |

inline

Definition at line 428 of file tbb_stddef.h.

: my_left(_left), my_right(_right) { }

## Member Function Documentation

## left()

size_t tbb::proportional_split::left | ( |  | ) | const

inline

Definition at line 430 of file tbb_stddef.h.

{ return my_left; }

References my_left.

Referenced by tbb::blocked_range< I >::do_split(), and tbb::interface9::internal::proportional_mode< static_partition_type >::do_split().

Here is the caller graph for this function:

## operator split()

tbb::proportional_split::operator split | ( |  | ) | const

inline

Definition at line 434 of file tbb_stddef.h.

{ return split(); }

## right()

size_t tbb::proportional_split::right | ( |  | ) | const

inline

Definition at line 431 of file tbb_stddef.h.

{ return my_right; }

References my_right.

Referenced by tbb::blocked_range< I >::do_split(), and tbb::interface9::internal::proportional_mode< static_partition_type >::do_split().

Here is the caller graph for this function:

## Member Data Documentation

## my_left

size_t tbb::proportional_split::my_left

private

Definition at line 443 of file tbb_stddef.h.

Referenced by left().

## my_right

size_t tbb::proportional_split::my_right

private

Definition at line 443 of file tbb_stddef.h.

Referenced by right().

The documentation for this class was generated from the following file:

- tbb_stddef.h

tbb::proportional_split::my_right
size_t my_right
Definition: tbb_stddef.h:443
tbb::proportional_split::my_left
size_t my_left
Definition: tbb_stddef.h:443

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.